//******************************************************************************
//   ____                 _       __           ____               ___ 
//  / __ \____  ___  ____| |     / /___ ______/ __/___ _________ |__ \
// / / / / __ \/ _ \/ __ \ | /| / / __ `/ ___/ /_/ __ `/ ___/ _ \__/ /
/// /_/ / /_/ /  __/ / / / |/ |/ / /_/ / /  / __/ /_/ / /  /  __/ __/ 
//\____/ .___/\___/_/ /_/|__/|__/\__,_/_/  /_/  \__,_/_/   \___/____/ 
//   /_/               We make the game you play BETTER.
//              OpenWarfare website: http://openwarfaremod.com/
//
// 	   From the Infection gametype created for Open Warfare by [105]HolyMoly
// 				      Custom Models by Sanya
//******************************************************************************
// GAMETYPE DESCRIPTION
//******************************************************************************
//
// All players start the game as a 'Survivor' and given a random preset class loadout (see below).
// After the match begins a random player is chosen as the first 'Infected' player.
// The player starts with increased speed and guaranteed a 1-hit melee kill.
// After the first kill normal speed is restored and 2 melee hits are required (if enabled).
// Survivors win if at least one is still alive at the end of the game.
// Infected win if all Survivors are infected.
// Round-based games not available.
//
//******************************************************************************
// INFECTION SETTINGS
//******************************************************************************
// PLEASE REMEMBER TO UNCOMMENT THE LINES BY REMOVING THE DOUBLE SLASHES (//)
// WHEN CHANGING A VALUE. PLEASE DO NOT UNCOMMENT LINES SET TO DEFAULT VALUES.
// IF RUNNING MULTIPLE GAMETYPES ADD _inf AT THE END TO NOT CONFLICT WITH DEFAULT VALUES
//******************************************************************************


// Seconds it will take the player to respawn again once killed.
// -1 = Instance respawn, 0 = 10 seconds, > 0 Time in seconds
set scr_playerrespawndelay "-1"

// Time limit for each round. Round will finish once the time limit is reached.
set scr_timelimit "5"

// Infection Countdown Timer
// 5 - 60 seconds, Default = 10
// set scr_pick_time "10"

// Minimum Players to begin Infection
// 2 - 10, Default = 3
// set scr_min_players "3"

// Minimum Players to start Message
// "Not enough players to start Inf3ction" = Default
// set scr_nep_message ""

// NOTE: EXPLOSIVE LIMITS NOT YET TESTED!
// Limit the maximum number of claymores that can be planted by Survivors
// 0 - 999
// 0 = None Allowed, Default = 6
// set scr_limit_planted_claymores "6"

// Limit the maximum number of C4s that can be planted by Survivors
// 0 - 999
// 0 = None Allowed, Default = 6
// set scr_limit_planted_c4s "6"

// Disable Custon Infection Team Names & Logos
// 0 = Enable( default ), 1 = Disabled ( Uses your custom names and teams )
// set scr_custom_teams_disable "0"

// Body removal. In large games zombie bodies can add up quickly.
set scr_bodyremoval_enable_inf "2" //1 for simple removal. 2 for a small FX.
set scr_bodyremoval_time_inf "20" //in seconds

//******************************************************************************
// Survivor Team Dvars
// Set all dvars in classes+perks configs to allow/disable options
//******************************************************************************
// Survival Points for not being killed by an infected Player, recieved after every teammate is killed
// 0 - 1000 points, Default = 100
// set scr_survival_points "100"

// Survival Points for being the Last Survivor on your team
// 0 - 1000 points, Default = 250
// set scr_last_survivor_points "250"

// Enable the Last Survivor to have a special weapon
// 0 = Disabled, 1 = Enabled( default )
// set scr_last_survivor_weapon_enable "0"

// Last Survivor special weapon if enabled. Default = saw_mp
// set scr_last_survivor_weapon "saw_mp"

// Give Last Survivor UAV with Enemy Ping
// 0 = Disabled, 1 = Enabled( default )
// set scr_allow_last_survivor_enemy_ping "1"

// Last Survivor kill points on every kill made ( + regular kill points )
// 0 - 1000 points, Default = 140
// set scr_kill_points_last_survivor "140"

// Set to 0 to disable camping and bonus points.
set scr_anti_camping_enable "0"
set scr_bounty_enable "0"

// Allow Survivors to use Hardpoint weapons
// 0 = Diabled, 1 = Enabled( default )
// set scr_allow_hardpoints "0"

// Hardpoint weapon multiplier applied to normal kill requirements.
// Recommended for large servers where survivors get many kills quickly.
// Airstrike is 10 kills instead of 5 etc. Default 1. Range 1-4.
// 1 = no change. 2 = double multipler etc.
// set scr_hardpoint_multiplier "1" 


//******************************************************************************
// Survivor Weapon & Perk Dvars
// Note: handled via normal weapon class loadouts at bottom portion of page
//******************************************************************************



//******************************************************************************
// Infected Team Dvars
//******************************************************************************
// Infected Player Custom Model
// 0 = Disabled, 1 = Enabled( default )
// set scr_use_infected_model "1"

// Drop Ammo Bags on Infected kills
// % chance an Ammo Bag will drop
// 1 - 100% chance
// 0 = Disabled, 50 = Default
// set scr_scavengerpacks_chance_of_pack "50"

// Number of magazines to give to player primary stock on pack pickup. Default 1.
// set scr_scavengerpacks_number_magazines "2"

// Scavenger Pack Removal Time. Note: players can only have one dropped pack at a time.
// 30 - 300 seconds, default = 60
// set scr_scavengerpacks_timeout "60"

// Ammo bag Messages
// 0 = Disabled, 1 = Enabled( default )
// set scr_ammo_bag_messages "1"

// Allow Ammo Bag drops from Hardpoint weapon kills
// 0 = Disabled, 1 = Enabled( default )
// set scr_scavengerpacks_hardpoint_kill "1"

// Show Scavenger Icon when ammo bag is picked up
// 0 = Disabled, 1 = Enabled( default )
// set scr_scavenger_icon "1"

// Allow Death Sounds when killed
// 0 = Disabled, 1 - 100% chance of hearing them - Default = 75%
// set scr_death_sounds "75"

// Allow Attack Sounds when Melee
// 0 = Disabled, 1 - 100% chance of hearing them - Default = 50%
// set scr_attack_sounds "50"

// Allow Ambient Grunt Sounds
// 0 = Disabled, 1 = Enabled( default )
// set scr_ambient_sounds "1"

// Allow Scream on Infected Spawn
// 0 = Disabled, 1 = Enabled( default )
// set scr_scream_on_spawn "1"

// Allow Infected Vision
// 0 = Disabled, 1 = Green( default ),  2 = Clear
set scr_vision_infected_on_inf "0"

// Allow Infected Player to Burn 
// % chance of burning
// 0 = Disabled, 1 - 100% chance of burning - Default = 10%
// set scr_infected_burn "10"

// Infected Burn Pain Sounds
// 0 = Diabled, 1 = Enabled( default )
// set scr_infected_burn_sounds "1"

// Allow ammo in Infected Weapon on Spawn
// % chance it will have Ammo
// 0 = Disabled, 1 - 100% chance of having Ammo - Default = 0
// set scr_ammo_infected "0"

// Ammo amounts in Infected Weapon if allowed
// 0 = Random amounts ( 1 - 10 Bullets ) Default
// 1 - 100, Exact amounts given every spawn
// set scr_infected_ammo_amount "0"

// Move Speed of infected Player (note: lightweight if enabled also applies).
// 0.5 - 1.5, Default = 1.2 (20% over base speed)
set scr_base_speed_infected_inf "1.5"

// Extra Points given after every kill ( + regular kill points )
// 0 - 1000 points, Default = 10
// set scr_kill_points_infected "10"

// Extra Points for Killing the last Survivor ( + regular & extra kill points )
// 0 - 1000 points, Default = 80
// set scr_kill_points_infected_last_kill "80"

// Knife Survivors more than once to kill them
// 2 times for Survivors, 3 times for Last Survivor, with Max Health
// 0 = Diabled, 1 = Enabled( default )
// set scr_extra_knife_kill "0"

// Explosive zombie.
// 1 in 5 chance that a zombie will spawn with a small explosive pack. Pack explodes when the zombie is shot.
// Explosives do not infect. Like pistols they cause survivors to respawn. Default: 1 for enabled.
// set scr_explosive_zombie "1"

//****************************
// Infected Weapons & Perks
//****************************
// Primary Weapon
// beretta_mp;colt45_mp;usp_mp;deserteagle_mp;deserteaglegold_mp, Default = beretta_mp
// set scr_force_weapon "beretta_mp";

// Perk 1
// specialty_null;specialty_detectexplosive(hacker), Default = specialty_null
// set scr_specialty_slot0 "specialty_null"

// Perk 2
// specialty_null;specialty_gpsjammer(stealth), Default = specialty_null
// set scr_specialty_slot1 "specialty_null"

// Perk 3
// specialty_null;specialty_quieter;specialty_longersprint(lightweight), Default = specialty_quieter
// set scr_specialty_slot2 "specialty_quieter"


//******************************************************************************
// Scavenger Bag options for both survivors and infected.
//******************************************************************************
// Random primary weapon ammo between 1 and one full clip added to stock. Default 1.
set scr_scavengerpacks_random_ammo_inf "1"

// Maximum amount of random ammo to give. Helps for large capacity mags like for RPD. Default 0 (disabled).
set scr_scavengerpacks_max_random_ammo_inf "100" //range 0-150

//Add one frag/semtex and one special nade (except smoke or novagas). Default 1.
set scr_scavengerpacks_explosives_inf "1"

// Chance of a scavenger pack drop (explosive death is always 0 chance). Default 100.
set scr_scavengerpacks_chance_of_pack_inf "20" //integer between 0 and 100

//******************************************************************************
// *Default Classes Setup*
//
// Each Survivor is randomly assigned one of five classes.
// All perks and weapons are valid. Do NOT apply explosives to perk 1.
// All Survivors are automatically given Scavenger (extra ammo)
// For no perks set their dvars to 'specialty_null".
//
// If enabled, Infected are given a side arm with a few rounds of ammo.
// Pistol kills will not infect.
// However they can be used to shoot Survivors in hard to reach areas.
//
// Primary weapons are chosen at random from each list.
// Do not set any weapon that has been disabled in classes.cfg
// Be sure streak requirements do not conflict.
// For no explosives set the count to 0.

// Note: Do not set class options in classes.cfg unless needed elsewhere.
//******************************************************************************


// set class_allies_assault_limit_inf "0"
// set class_allies_specops_limit_inf "64"
// set class_allies_heavygunner_limit_inf "64"
// set class_allies_demolitions_limit_inf "64"
set class_allies_sniper_limit_inf "0"

// Assault:
set class_assault_primary_inf "m16;m4;ak47;g3;m14;g36c"
// set class_assault_primary_attachment_inf "reflex"
// set class_assault_secondary_inf "beretta;beretta;beretta"
// set class_assault_secondary_attachment_inf "none"
set class_assault_perk1_inf "specialty_bulletdamage"
set class_assault_perk2_inf "specialty_rof"
set class_assault_perk3_inf "specialty_longersprint"
// set class_assault_pgrenade_inf "frag_grenade"
// set class_assault_sgrenade_inf "concussion_grenade"
// set class_assault_pgrenade_count_inf "1"
// set class_assault_sgrenade_count_inf "1"
// set class_assault_explosive_inf "claymore"
// set class_assault_explosive_count_inf "2"

set class_assault_streak1_inf "rcbomb"
set class_assault_streak2_inf "smartbomb"
set class_assault_streak3_inf "stealthbomber"

// Specops:
set class_specops_primary_inf "mp5;skorpion;uzi;ak74u;p90"
// set class_specops_primary_attachment_inf "reflex"
// set class_specops_secondary_inf "usp;usp;beretta"
// set class_specops_secondary_attachment_inf "silencer"
set class_specops_perk1_inf "specialty_bulletdamage"
set class_specops_perk2_inf "specialty_longersprint"
set class_specops_perk3_inf "specialty_bulletaccuracy"
// set class_specops_sgrenade_inf "smoke_grenade"
set class_specops_pgrenade_count_inf "0"
// set class_specops_sgrenade_count_inf "1"
// set class_specops_explosive_inf "c4"
// set class_specops_explosive_count_inf "2"

// set class_specops_streak1_inf "radar"
// set class_specops_streak2_inf "airstrike"
// set class_specops_streak3_inf "helicopter"

// Heavygunner:
set class_heavygunner_primary_inf "rpd;saw;m60e4"
// set class_heavygunner_primary_attachment_inf "grip"
// set class_heavygunner_secondary_inf "usp;usp;beretta"
// set class_heavygunner_secondary_attachment_inf "none"
set class_heavygunner_perk1_inf "specialty_fastreload"
set class_heavygunner_perk2_inf "specialty_rof"
set class_heavygunner_perk3_inf "specialty_bulletpenetration"
// set class_heavygunner_sgrenade_inf "concussion_grenade"
// set class_heavygunner_pgrenade_count_inf "1"
// set class_heavygunner_sgrenade_count_inf "1"
// set class_heavygunner_explosive_inf "rpg"
// set class_heavygunner_explosive_count_inf "2"

// set class_heavygunner_streak1_inf "radar"
// set class_heavygunner_streak2_inf "airstrike"
// set class_heavygunner_streak3_inf "helicopter"

// Demolitions
// set class_demolitions_primary_inf "winchester1200;m1014"
// set class_demolitions_primary_attachment_inf "reflex"
// set class_demolitions_secondary_inf "deserteagle;beretta;beretta"
// set class_demolitions_secondary_attachment_inf "none"
set class_demolitions_perk1_inf "specialty_fastreload"
set class_demolitions_perk2_inf "specialty_rof"
set class_demolitions_perk3_inf "specialty_longersprint"
// set class_demolitions_sgrenade_inf "smoke_grenade"
// set class_demolitions_pgrenade_count_inf "1"
// set class_demolitions_sgrenade_count_inf "1"
// set class_demolitions_explosive_inf "c4"
// set class_demolitions_explosive_count_inf "2"

// set class_demolitions_streak1_inf "radar"
// set class_demolitions_streak2_inf "airstrike"
// set class_demolitions_streak3_inf "helicopter"

// Sniper:
set class_sniper_primary_inf "dragunov;m40a3;barrett;remington700;m21"
// set class_sniper_primary_attachment_inf "none"
// set class_sniper_secondary_inf "colt45;beretta;beretta"
// set class_sniper_secondary_attachment_inf "silencer"
set class_sniper_perk1_inf "specialty_bulletdamage"
set class_sniper_perk2_inf "specialty_rof"
set class_sniper_perk3_inf "specialty_holdbreath"
// set class_sniper_sgrenade_inf "smoke_grenade"
// set class_sniper_pgrenade_count_inf "1"
// set class_sniper_sgrenade_count_inf "1"
// set class_sniper_explosive_inf "claymore"
// set class_sniper_explosive_count_inf "2"

// set class_sniper_streak1_inf "radar"
// set class_sniper_streak2_inf "airstrike"
// set class_sniper_streak3_inf "helicopter"

// Developer only:
// Use this dvar to force the first player in the game (level.players[0]) to always be the first infected.
// Player must be alive at the time the choice is made. Otherwise it is random.
// set scr_force_first_infected "1"